GpgFrontend::GpgSignature Class Reference
Collaboration diagram for GpgFrontend::GpgSignature:

## Public Member Functions

gpgme_validity_t | GetValidity () const
gpgme_error_t | GetStatus () const
gpgme_error_t | GetSummary () const
std::string | GetPubkeyAlgo () const
std::string | GetHashAlgo () const
boost::posix_time::ptime | GetCreateTime () const
| Create a time object. More...
boost::posix_time::ptime | GetExpireTime () const
std::string | GetFingerprint () const
| GpgSignature ()
| Construct a new Gpg Signature object. More...
| ~GpgSignature ()
| Destroy the Gpg Signature object. More...
| GpgSignature (gpgme_signature_t sig)
| Construct a new Gpg Signature object. More...
| GpgSignature (GpgSignature &&) noexcept
| Construct a new Gpg Signature object. More...
| GpgSignature (const GpgSignature &)=delete
| Construct a new Gpg Signature object. More...
GpgSignature & | operator= (GpgSignature &&) noexcept
GpgSignature & | operator= (const GpgSignature &)=delete

## Private Types

using | KeySignatrueRefHandler = std::unique_ptr< struct _gpgme_signature, std::function< void(gpgme_signature_t)> >

## Private Attributes

KeySignatrueRefHandler | signature_ref_ = nullptr

## Constructor & Destructor Documentation

## GpgSignature() [1/4]

GpgFrontend::GpgSignature::GpgSignature | ( |  | ) |

default

Construct a new Gpg Signature object.

## ~GpgSignature()

GpgFrontend::GpgSignature::~GpgSignature | ( |  | ) |

default

Destroy the Gpg Signature object.

## GpgSignature() [2/4]

GpgFrontend::GpgSignature::GpgSignature | ( | gpgme_signature_t | sig | ) |

explicit

Construct a new Gpg Signature object.

Parameters

  sig |

## GpgSignature() [3/4]

GpgFrontend::GpgSignature::GpgSignature | ( | GpgSignature && |  | ) |

defaultnoexcept

Construct a new Gpg Signature object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## GpgSignature() [4/4]

GpgFrontend::GpgSignature::GpgSignature | ( | const GpgSignature & |  | ) |

delete

Construct a new Gpg Signature object.

## Member Function Documentation

## GetCreateTime()

boost::posix_time::ptime GpgFrontend::GpgSignature::GetCreateTime | ( |  | ) | const

Create a time object.

Returns
  boost::posix_time::ptime

## GetExpireTime()

boost::posix_time::ptime GpgFrontend::GpgSignature::GetExpireTime | ( |  | ) | const

Returns
  boost::posix_time::ptime

## GetFingerprint()

std::string GpgFrontend::GpgSignature::GetFingerprint | ( |  | ) | const

Returns
  std::string

Referenced by GpgFrontend::UI::VerifyKeyDetailBox::VerifyKeyDetailBox().

## GetHashAlgo()

std::string GpgFrontend::GpgSignature::GetHashAlgo | ( |  | ) | const

Returns
  std::string

## GetPubkeyAlgo()

std::string GpgFrontend::GpgSignature::GetPubkeyAlgo | ( |  | ) | const

Returns
  std::string

## GetStatus()

gpgme_error_t GpgFrontend::GpgSignature::GetStatus | ( |  | ) | const

Returns
  gpgme_error_t

Referenced by GpgFrontend::UI::VerifyKeyDetailBox::VerifyKeyDetailBox().

## GetSummary()

gpgme_error_t GpgFrontend::GpgSignature::GetSummary | ( |  | ) | const

Returns
  gpgme_error_t

Referenced by GpgFrontend::UI::VerifyKeyDetailBox::create_key_info_grid().

## GetValidity()

gpgme_validity_t GpgFrontend::GpgSignature::GetValidity | ( |  | ) | const

Returns
  gpgme_validity_t

## operator=() [1/2]

GpgSignature& GpgFrontend::GpgSignature::operator= | ( | const GpgSignature & |  | ) |

delete

Returns
  GpgSignature&

## operator=() [2/2]

GpgFrontend::GpgSignature & GpgFrontend::GpgSignature::operator= | ( | GpgSignature && |  | ) |

defaultnoexcept

Returns
  GpgSignature&

The documentation for this class was generated from the following files:

- src/core/model/GpgSignature.h
- src/core/model/GpgSignature.cpp